## START: Set by rpmautospec
## (rpmautospec version 0.3.8)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/lclevy/ADFlib

Name: adflib
Version: 0.8.0
Release: %autorelease
Summary: A free, portable and open implementation of the Amiga filesystem

%forgemeta

License: GPL-2.0-or-later
URL: http://lclevy.free.fr/adflib/unadf.html
Source0: %{forgesource}

# Taken from Debian
Patch0: privacy-breach.patch

BuildRequires: autoconf automake libtool
BuildRequires: gcc
BuildRequires: pkgconfig(check)
BuildRequires: dos2unix
BuildRequires: /usr/bin/iconv


%global _description %{expand:
Amiga Disk File aka ADF is a file format used by Amiga computers and emulators
to store images of disks.  ADF is not really a file format but actually a
track-by-track dump of the disk data as read by the Amiga operating system, and
so the “format” is really fixed-width AmigaDOS data tracks appended one after
another and held in a file.}


%description %_description


%package utils
Summary: Extract files from an Amiga Disk File dump (.adf)
Requires: %{name}%{?_isa} = %{version}-%{release}

%description utils
Tool for extracting and listing files in an Amiga Disk File.
%_description


%package devel
Summary: Libraries and headers for ADFlib
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Libraries and headers for ADFlib
%_description


%prep
%forgeautosetup -p1
dos2unix doc/FAQ/adf_info.txt doc/FAQ/adf_info_V0_9.txt doc/version0.7.9d_gary.txt
iconv -f ISO8859-1 ChangeLog -o ChangeLog.new && \
	mv ChangeLog.new ChangeLog
iconv -f ISO8859-1 doc/FAQ/adf_info.txt -o doc/FAQ/adf_info.txt.new && \
	mv doc/FAQ/adf_info.txt.new doc/FAQ/adf_info.txt
mkdir m4
autoreconf -svi


%build
%configure --disable-static
%make_build

%install
%make_install


%check
%make_build check


%files
%doc README.md ChangeLog
%license COPYING AUTHORS
%{_libdir}/libadf.so.*

%files utils
%{_bindir}/adf_floppy_create
%{_bindir}/adf_floppy_format
%{_bindir}/adf_show_metadata
%{_bindir}/unadf
%{_mandir}/man1/adf_floppy_create.1*
%{_mandir}/man1/adf_floppy_format.1*
%{_mandir}/man1/adf_show_metadata.1*
%{_mandir}/man1/unadf.1*

%files devel
%{_libdir}/libadf.so
%{_libdir}/pkgconfig/adflib.pc
%{_docdir}/adflib/
%{_includedir}/adf

%changelog
## START: Generated by rpmautospec
* Mon Jan 08 2024 John Doe <packager@example.com> - 0.8.0-1
- Uncommitted changes
## END: Generated by rpmautospec
